orte/mca/sds/sds.h File Reference.TH "orte/mca/sds/sds.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/sds/sds.h \- The Open MPI Start-up Discovery Service. 
.SH SYNOPSIS
.br
.PP
\fC#include 'opal/mca/mca.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBORTE_SDS_BASE_VERSION_1_0_0\fP"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef struct orte_sds_base_module_1_0_0_t \fBorte_sds_base_module_1_0_0_t\fP"
.br
.ti -1c
.RI "typedef orte_sds_base_module_1_0_0_t \fBorte_sds_base_module_t\fP"
.br
.ti -1c
.RI "typedef struct orte_sds_base_component_1_0_0_t \fBorte_sds_base_component_1_0_0_t\fP"
.br
.ti -1c
.RI "typedef orte_sds_base_component_1_0_0_t \fBorte_sds_base_component_t\fP"
.br
.ti -1c
.RI "typedef orte_sds_base_module_t *(* \fBorte_sds_base_component_init_fn_t\fP )(int *priority)"
.br
.RI "\fISelection function. \fP"
.ti -1c
.RI "typedef int(* \fBorte_sds_base_contact_universe_fn_t\fP )(void)"
.br
.RI "\fIContact universe and set contact information. \fP"
.ti -1c
.RI "typedef int(* \fBorte_sds_base_set_name_fn_t\fP )(void)"
.br
.RI "\fISet Name and Job information for current process. \fP"
.ti -1c
.RI "typedef int(* \fBorte_sds_base_module_finalize_fn_t\fP )(void)"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI Start-up Discovery Service. 


.SH "Define Documentation"
.PP 
.SS "#define ORTE_SDS_BASE_VERSION_1_0_0"
.PP
\fBValue:\fP
.PP
.nf
/* sds v1.0 is chained to MCA v1.0 */ \
  MCA_BASE_VERSION_1_0_0, \
  /* sds v1.0 */ \
  'sds', 1, 0, 0
.fi
.SH "Typedef Documentation"
.PP 
.SS "typedef orte_sds_base_module_t*(* \fBorte_sds_base_component_init_fn_t\fP)(int *priority)"
.PP
Selection function. 
.PP
Priority list:
.PP
.IP "\(bu" 2
0 singleton process (not seed)
.IP "\(bu" 2
20 process has name provided by starter
.IP "\(bu" 2
40 seed process
.IP "\(bu" 2
60 process has name provided by starter and needs to override seed. This should be used with care, and is mainly intended for environments where orte is not the starter (such as cnos) 
.PP

.SS "typedef int(* \fBorte_sds_base_contact_universe_fn_t\fP)(void)"
.PP
Contact universe and set contact information. 
.PP
Attempt to contact the universe to get replica contact information. 
.SS "typedef int(* \fBorte_sds_base_set_name_fn_t\fP)(void)"
.PP
Set Name and Job information for current process. 
.PP
Set name and job information for current process. This information includes:
.PP
.IP "\(bu" 2
orte_process_info.my_name
.IP "\(bu" 2
orte_process_info.vpid_start
.IP "\(bu" 2
orte_process_info.num_procs
.PP
.PP
From this, the ns is able to develop a map of all processes started in the curent job.
.PP
Upon startup, each process must discover its official ORTE process name. There are several ways this name could be passed to the process. This typicall involves an environmental parameter of some appropriate name, possibly followed by some computation of the vpid based on process rank. This function checks the different environmental parameters to find the one that has been set with the appropriate value, determines (based on that) the name of this process, and then sets that value in the orte_system_info global structure. 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
